package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * @Description 新活检结果步骤实体
 * @Author lideyin
 * @Date 2019/12/20 17:16
 * @Version 1.0
 */
public class FaceBiopsyItemStepBean implements JsonSerializable {

    private static final long serialVersionUID = -322561973794249532L;

    /**
     * 考试记录id
     */
    private Long examRecordDataId;
    /**
     * 人脸活体检测明细id
     */
    private Long faceBiopsyItemId;

    /**
     * 步骤动作
     */
    private String action;

    /**
     * 资源文件相对路径
     */
    private String resourceRelativePath;
    /**
     * 资源文件类型
     */
    private String resourceType;

    /**
     * 动作时长
     */
    private Integer actionStay;

    /**
     * 检测结果
     */
    private Boolean result;
    /**
     * 错误信息
     */
    private String errorMsg;
    /**
     * 扩展属性1
     */
    private String ext1;
    /**
     * 扩展属性2
     */
    private String ext2;
    /**
     * 扩展属性3
     */
    private String ext3;
    /**
     * 扩展属性4
     */
    private String ext4;
    /**
     * 扩展属性5
     */
    private String ext5;

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Long getFaceBiopsyItemId() {
        return faceBiopsyItemId;
    }

    public void setFaceBiopsyItemId(Long faceBiopsyItemId) {
        this.faceBiopsyItemId = faceBiopsyItemId;
    }

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getResourceRelativePath() {
        return resourceRelativePath;
    }

    public void setResourceRelativePath(String resourceRelativePath) {
        this.resourceRelativePath = resourceRelativePath;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public Integer getActionStay() {
        return actionStay;
    }

    public void setActionStay(Integer actionStay) {
        this.actionStay = actionStay;
    }

    public Boolean getResult() {
        return result;
    }

    public void setResult(Boolean result) {
        this.result = result;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    public String getExt4() {
        return ext4;
    }

    public void setExt4(String ext4) {
        this.ext4 = ext4;
    }

    public String getExt5() {
        return ext5;
    }

    public void setExt5(String ext5) {
        this.ext5 = ext5;
    }
}
